ATOMICCOUNTERDECREME(3G)

NAME
atomicCounterDecrement - atomically decrement a counter and return the prior value

DECLARATION

uint atomicCounterDecrement(atomic_uint c);

PARAMETERS

c
    Specify the handle to the atomic counter to decrement.

DESCRIPTION

atomicCounterDecrement atomically decrements the value of the atomic counter c and returns its new value.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
atomicCounterDecrement | - | - | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔

SEE ALSO

atomicCounterIncrement(), atomicCounter()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group